NDSummary.OnToolTipsLoaded("SystemVerilogClass:axi4stream_slv_agent",{323:"<div class=\"NDToolTip TClass LSystemVerilog\"><div class=\"TTSummary\">AXI4STREAM Slave agent. This class contains other components that comprise the entire Slave Verification component.These are the Monitor,Driver.Refer PG277 section about AXI4STREAM Slave Agent for more details.</div></div>",325:"<div class=\"NDToolTip TInformation LSystemVerilog\"><div class=\"TTSummary\">axi4stream_slv_driver `XIL_AXI4STREAM_PARAM_ORDER driver;</div></div>",327:"<div class=\"NDToolTip TFunction LSystemVerilog\"><div id=\"NDPrototype327\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">function new</span> (</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PModifierQualifier first\">input&nbsp;</td><td class=\"PType\"><span class=\"SHKeyword\">string</span>&nbsp;</td><td class=\"PName\">name&nbsp;</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHString\">&quot;unnamed_axi4stream_slv_agent&quot;</span>,</td></tr><tr><td class=\"PModifierQualifier first\"><span class=\"SHKeyword\">virtual interface</span> axi4stream_vip_if `</td><td class=\"PType\">XIL_AXI4STREAM_PARAM_ORDER&nbsp;</td><td class=\"PName\">vif</td><td></td><td class=\"last\"></td></tr></table></td><td class=\"PAfterParameters\">);</td></tr></table></div><div class=\"TTSummary\">Constructor to create an AXI4STREAM Slave Agent.~name~ is the instance name and axi4stream_vip_if is the interface in the design.&nbsp; Please see PG277 for how to find the interface in design hierarchy.</div></div>",955:"<div class=\"NDToolTip TFunction LSystemVerilog\"><div id=\"NDPrototype955\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">virtual function void</span> set_verbosity(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PType first\">xil_verbosity&nbsp;</td><td class=\"PName last\">updated</td></tr></table></td><td class=\"PAfterParameters\">);</td></tr></table></div><div class=\"TTSummary\">Sets the verbosity of the Agent and all sub classes.If updated is bigger than 300, it will print out necessary log message. Refer xil_info for verbosity information.</div></div>",329:"<div class=\"NDToolTip TFunction LSystemVerilog\"><div id=\"NDPrototype329\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">function void</span> set_vif(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PModifierQualifier first\">axi4stream_vif_proxy `</td><td class=\"PType\">XIL_AXI4STREAM_PARAM_ORDER&nbsp;</td><td class=\"PName last\">vif</td></tr></table></td><td class=\"PAfterParameters\">);</td></tr></table></div><div class=\"TTSummary\">Sets the Agent\'s virtual interface. This is the interface that will be monitored and/or driven.</div></div>",981:"<div class=\"NDToolTip TFunction LSystemVerilog\"><div id=\"NDPrototype981\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">virtual function void</span> set_agent_tag(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PType first\"><span class=\"SHKeyword\">string</span>&nbsp;</td><td class=\"PName last\">updated</td></tr></table></td><td class=\"PAfterParameters\">);</td></tr></table></div><div class=\"TTSummary\">Sets the tag of the Agent and all sub classes.If more than one VIPs(in slave mode) being used in the same testbench, User can use set_agent_tag with different tag to tell where exactly the log message comes from.</div></div>",331:"<div class=\"NDToolTip TFunction LSystemVerilog\"><div id=\"NDPrototype331\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">virtual</span> task start_monitor();</div><div class=\"TTSummary\">Enables the monitor in this agent to start collecting data.</div></div>",332:"<div class=\"NDToolTip TFunction LSystemVerilog\"><div id=\"NDPrototype332\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">virtual</span> task start_slave();</div><div class=\"TTSummary\">Enables the monitor to start collecting data and driver starts to drive ready signal in axi4stream_slv_agent.&nbsp; The driver will only issue axi4stream_ready_gen when the send functions are called.</div></div>",333:"<div class=\"NDToolTip TFunction LSystemVerilog\"><div id=\"NDPrototype333\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">virtual</span> task stop_slave();</div><div class=\"TTSummary\">Disables the driver in axi4stream_slv_agent. Once disabled, no further action will occur by the drivers.</div></div>",987:"<div class=\"NDToolTip TFunction LSystemVerilog\"><div id=\"NDPrototype987\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">virtual</span> task stop_monitor();</div><div class=\"TTSummary\">Disables the monitor in this agent from start collecting data. Once disabled, no further action will occur by the monitor.</div></div>"});