NDSummary.OnToolTipsLoaded("SystemVerilogClass:axi_ready_gen",{747:"<div class=\"NDToolTip TClass LSystemVerilog\"><div class=\"TTSummary\">AXI Ready generation class.</div></div>",746:"<div class=\"NDToolTip TFunction LSystemVerilog\"><div id=\"NDPrototype746\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">function new</span>(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PModifierQualifier first\">input&nbsp;</td><td class=\"PType\"><span class=\"SHKeyword\">string</span>&nbsp;</td><td class=\"PName\">name&nbsp;</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHString\">&quot;unnamed_axi_ready_gen&quot;</span></td></tr></table></td><td class=\"PAfterParameters\">);</td></tr></table></div><div class=\"TTSummary\">Constructor to create a new axi_ready_gen, ~name~ is the name of the instance.</div></div>",921:"<div class=\"NDToolTip TFunction LSystemVerilog\"><div id=\"NDPrototype921\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">virtual function void</span> reset_to_defaults();</div><div class=\"TTSummary\">Reset all variables in ready generation to default value. please refer xil_axi_ready_gen_policy_t , xil_axi_ready_rand_policy_t for more details about ready generation policy.</div></div>",748:"<div class=\"NDToolTip TFunction LSystemVerilog\"><div id=\"NDPrototype748\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">function void</span> copy(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PType first\">axi_ready_gen&nbsp;</td><td class=\"PName last\">rhs</td></tr></table></td><td class=\"PAfterParameters\">);</td></tr></table></div><div class=\"TTSummary\">Copies the contents of the input ready generation to the current ready generation</div></div>",364:"<div class=\"NDToolTip TFunction LSystemVerilog\"><div id=\"NDPrototype364\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">virtual function</span> axi_ready_gen my_clone ();</div><div class=\"TTSummary\">Copy the current ready generation and returns a handle to the new generation</div></div>",750:"<div class=\"NDToolTip TFunction LSystemVerilog\"><div id=\"NDPrototype750\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">virtual function string</span> convert2string();</div><div class=\"TTSummary\">Returns a format of string with below Ready information.</div></div>",922:"<div class=\"NDToolTip TFunction LSystemVerilog\"><div id=\"NDPrototype922\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">virtual function void</span> set_use_variable_ranges();</div><div class=\"TTSummary\">Sets use_variable_ranges to be TRUE. This is to set that get_low_time, get_high_time, get_event_count are randomly generated between the range of minimum and maximum value</div></div>",923:"<div class=\"NDToolTip TFunction LSystemVerilog\"><div id=\"NDPrototype923\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">virtual function void</span> clr_use_variable_ranges();</div><div class=\"TTSummary\">Sets use_variable_ranges to be FALSE.This is to set that get_low_time, get_high_time, get_event_count are returned with current low_time, high_time, event_count if ready_policy is not RANDOM</div></div>",924:"<div class=\"NDToolTip TFunction LSystemVerilog\"><div id=\"NDPrototype924\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">virtual function</span> xil_axi_boolean_t get_use_variable_ranges();</div><div class=\"TTSummary\">Returns the current value of use_variable_ranges.</div></div>",925:"<div class=\"NDToolTip TFunction LSystemVerilog\"><div id=\"NDPrototype925\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">virtual function void</span> set_ready_policy(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PModifierQualifier first\">input&nbsp;</td><td class=\"PType\">xil_axi_ready_gen_policy_t&nbsp;</td><td class=\"PName last\">value</td></tr></table></td><td class=\"PAfterParameters\">);</td></tr></table></div><div class=\"TTSummary\">Sets the policy of axi_ready_gen. refer xil_axi_ready_gen_policy_t for policy. if policy is XIL_AXI_READY_GEN_NO_BACKPRESSURE, Then it returns</div></div>",926:"<div class=\"NDToolTip TFunction LSystemVerilog\"><div id=\"NDPrototype926\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">virtual function</span> xil_axi_ready_gen_policy_t get_ready_policy();</div><div class=\"TTSummary\">Returns the current ready generation policy of axi_ready_gen. refer xil_axi_ready_gen_policy_t for policy information</div></div>",927:"<div class=\"NDToolTip TFunction LSystemVerilog\"><div id=\"NDPrototype927\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">virtual function void</span> set_event_cycle_count_reset(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PModifierQualifier first\">input&nbsp;</td><td class=\"PType\">xil_axi_uint&nbsp;</td><td class=\"PName last\">value</td></tr></table></td><td class=\"PAfterParameters\">);</td></tr></table></div><div class=\"TTSummary\">Sets event_cycle_count_reset value of axi_ready_gen.</div></div>",930:"<div class=\"NDToolTip TFunction LSystemVerilog\"><div id=\"NDPrototype930\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">virtual function</span> xil_axi_uint get_event_cycle_count_reset();</div><div class=\"TTSummary\">Returns the current event_cycle_count_reset of axi_ready_gen. In ready generation,event_cycle_count_reset is used to reset event_counter(count number of ready/valid handshake) to zero.</div></div>",932:"<div class=\"NDToolTip TFunction LSystemVerilog\"><div id=\"NDPrototype932\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">virtual function void</span> get_low_time_range(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PModifierQualifier first\">output&nbsp;</td><td class=\"PType\">xil_axi_uint&nbsp;</td><td class=\"PName last\">min,</td></tr><tr><td class=\"PModifierQualifier first\">output&nbsp;</td><td class=\"PType\">xil_axi_uint&nbsp;</td><td class=\"PName last\">max&nbsp;</td></tr></table></td><td class=\"PAfterParameters\">);</td></tr></table></div><div class=\"TTSummary\">Returns min_low_time and max_low_time of axi_ready_gen. low_time is how many cycles ready stay low.</div></div>",935:"<div class=\"NDToolTip TFunction LSystemVerilog\"><div id=\"NDPrototype935\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">virtual function void</span> set_low_time_range(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PModifierQualifier first\">input&nbsp;</td><td class=\"PType\">xil_axi_uint&nbsp;</td><td class=\"PName last\">min,</td></tr><tr><td class=\"PModifierQualifier first\">input&nbsp;</td><td class=\"PType\">xil_axi_uint&nbsp;</td><td class=\"PName last\">max&nbsp;</td></tr></table></td><td class=\"PAfterParameters\">);</td></tr></table></div><div class=\"TTSummary\">Sets min_low_time and max_low_time of &lt;axi_ready_gen&gt;.low_time is how many cycles ready stay low.</div></div>",939:"<div class=\"NDToolTip TFunction LSystemVerilog\"><div id=\"NDPrototype939\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">virtual function</span> xil_axi_uint get_low_time();</div><div class=\"TTSummary\">Returns low time of the current ready generation. if ready policy is XIL_AXI_READY_GEN_NO_BACKPRESSURE, low time is 0, else if ready policy is XIL_AXI_READY_GEN_RANDOM or get_use_variable_ranges is TRUE, low is the randomly generated low time.&nbsp; else low time is low_time of current ready generation.</div></div>",940:"<div class=\"NDToolTip TFunction LSystemVerilog\"><div id=\"NDPrototype940\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">virtual function void</span> set_low_time(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PModifierQualifier first\">input&nbsp;</td><td class=\"PType\">xil_axi_uint&nbsp;</td><td class=\"PName last\">updated</td></tr></table></td><td class=\"PAfterParameters\">);</td></tr></table></div><div class=\"TTSummary\">Sets the low time of axi_ready_gen. low_time is how many cycles ready stay low.</div></div>",941:"<div class=\"NDToolTip TFunction LSystemVerilog\"><div id=\"NDPrototype941\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">virtual function void</span> get_high_time_range(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PModifierQualifier first\">output&nbsp;</td><td class=\"PType\">xil_axi_uint&nbsp;</td><td class=\"PName last\">min,</td></tr><tr><td class=\"PModifierQualifier first\">output&nbsp;</td><td class=\"PType\">xil_axi_uint&nbsp;</td><td class=\"PName last\">max</td></tr></table></td><td class=\"PAfterParameters\">);</td></tr></table></div><div class=\"TTSummary\">Returns min_high_time and max_high_time of axi_ready_gen. high_time is how many cycles ready stay high.</div></div>",942:"<div class=\"NDToolTip TFunction LSystemVerilog\"><div id=\"NDPrototype942\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">virtual function void</span> set_high_time_range(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PModifierQualifier first\">input&nbsp;</td><td class=\"PType\">xil_axi_uint&nbsp;</td><td class=\"PName last\">min,</td></tr><tr><td class=\"PModifierQualifier first\">input&nbsp;</td><td class=\"PType\">xil_axi_uint&nbsp;</td><td class=\"PName last\">max</td></tr></table></td><td class=\"PAfterParameters\">);</td></tr></table></div><div class=\"TTSummary\">Sets min_high_time and max_high_time of axi_ready_gen. high_time is how many cycles ready stay high.</div></div>",967:"<div class=\"NDToolTip TFunction LSystemVerilog\"><div id=\"NDPrototype967\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">virtual function</span> xil_axi_uint get_high_time();</div><div class=\"TTSummary\">Returns high time of axi_ready_gen. If ready policy is XIL_AXI_READY_GEN_NO_BACKPRESSURE, returns 1, else if ready policy is XIL_AXI_READY_GEN_RANDOM or get_use_variable_ranges is TRUE, high time is the randomly generated high time.&nbsp; else high time is high_time of current ready generation.High_time is how many cycles ready stay high.</div></div>",1085:"<div class=\"NDToolTip TFunction LSystemVerilog\"><div id=\"NDPrototype1085\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">virtual function void</span> set_high_time(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PModifierQualifier first\">input&nbsp;</td><td class=\"PType\">xil_axi_uint&nbsp;</td><td class=\"PName last\">updated</td></tr></table></td><td class=\"PAfterParameters\">);</td></tr></table></div><div class=\"TTSummary\">Sets the high time of axi_ready_gen. High_time is how many cycles ready stay high.</div></div>",1095:"<div class=\"NDToolTip TFunction LSystemVerilog\"><div id=\"NDPrototype1095\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">virtual function void</span> get_event_count_range(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PModifierQualifier first\">output&nbsp;</td><td class=\"PType\">xil_axi_uint&nbsp;</td><td class=\"PName last\">min,</td></tr><tr><td class=\"PModifierQualifier first\">output&nbsp;</td><td class=\"PType\">xil_axi_uint&nbsp;</td><td class=\"PName last\">max</td></tr></table></td><td class=\"PAfterParameters\">);</td></tr></table></div><div class=\"TTSummary\">Returns min_event_count and max_event_count of axi_ready_gen. event count is used when policy is XIL_AXI_READY_RAND_AFTER_VALID_EVENTS. refer xil_axi_ready_gen_policy_t about how event_count works</div></div>",1096:"<div class=\"NDToolTip TFunction LSystemVerilog\"><div id=\"NDPrototype1096\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">virtual function void</span> set_event_count_range(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PModifierQualifier first\">input&nbsp;</td><td class=\"PType\">xil_axi_uint&nbsp;</td><td class=\"PName last\">min,</td></tr><tr><td class=\"PModifierQualifier first\">input&nbsp;</td><td class=\"PType\">xil_axi_uint&nbsp;</td><td class=\"PName last\">max</td></tr></table></td><td class=\"PAfterParameters\">);</td></tr></table></div><div class=\"TTSummary\">Sets min_event_count and max_event_count of axi_ready_gen. event count is used when policy is XIL_AXI_READY_RAND_AFTER_VALID_EVENTS. refer xil_axi_ready_gen_policy_t about how event_count works.</div></div>",1101:"<div class=\"NDToolTip TFunction LSystemVerilog\"><div id=\"NDPrototype1101\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">virtual function</span> xil_axi_uint get_event_count();</div><div class=\"TTSummary\">Returns event_count of axi_ready_gen. event count is used when policy is XIL_AXI_READY_RAND_AFTER_VALID_EVENTS. refer xil_axi_ready_gen_policy_t about how event_count works.</div></div>",1104:"<div class=\"NDToolTip TFunction LSystemVerilog\"><div id=\"NDPrototype1104\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">virtual function void</span> set_event_count(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PModifierQualifier first\">input&nbsp;</td><td class=\"PType\">xil_axi_uint&nbsp;</td><td class=\"PName last\">in</td></tr></table></td><td class=\"PAfterParameters\">);</td></tr></table></div><div class=\"TTSummary\">Sets the number of events that ready stays at high. event count is used when policy is XIL_AXI_READY_RAND_AFTER_VALID_EVENTS. refer xil_axi_ready_gen_policy_t about how event_count works.</div></div>",1106:"<div class=\"NDToolTip TFunction LSystemVerilog\"><div id=\"NDPrototype1106\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">virtual function</span> xil_axi_ready_rand_policy_t get_ready_rand_policy();</div><div class=\"TTSummary\">Returns ready_rand_policy of axi_ready_gen. refer xil_axi_ready_rand_policy_t for more information.</div></div>"});