NDSummary.OnToolTipsLoaded("SystemVerilogClass:xil_object",{406:"<div class=\"NDToolTip TClass LSystemVerilog\"><div class=\"TTSummary\">The xil_object class is the base class for all Xilinx Verification Component data and hierarchical classes. Its primary role is to define a set of methods for common operations such as set name, verbosity, tag etc.</div></div>",408:"<div class=\"NDToolTip TFunction LSystemVerilog\"><div id=\"NDPrototype408\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">function new</span> (</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PModifierQualifier first\">input&nbsp;</td><td class=\"PType\"><span class=\"SHKeyword\">string</span>&nbsp;</td><td class=\"PName\">name&nbsp;</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHString\">&quot;unnamed_xil_object&quot;</span></td></tr></table></td><td class=\"PAfterParameters\">);</td></tr></table></div><div class=\"TTSummary\">Constructor to create a new xil_object.~name~ is the name of the instance.</div></div>",409:"<div class=\"NDToolTip TFunction LSystemVerilog\"><div id=\"NDPrototype409\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">function string</span> get_name();</div><div class=\"TTSummary\">Returns the name of xil_object.</div></div>",410:"<div class=\"NDToolTip TFunction LSystemVerilog\"><div id=\"NDPrototype410\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">function string</span> get_full_name();</div><div class=\"TTSummary\">Returns the name of xil_object.</div></div>",411:"<div class=\"NDToolTip TFunction LSystemVerilog\"><div id=\"NDPrototype411\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">function void</span> set_name(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PModifierQualifier first\">input&nbsp;</td><td class=\"PType\"><span class=\"SHKeyword\">string</span>&nbsp;</td><td class=\"PName last\">n</td></tr></table></td><td class=\"PAfterParameters\">);</td></tr></table></div><div class=\"TTSummary\">Set the name of xil_object to be n.</div></div>",412:"<div class=\"NDToolTip TFunction LSystemVerilog\"><div id=\"NDPrototype412\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">function int</span> get_inst_id();</div><div class=\"TTSummary\">Returns m_inst_id of xil_object.</div></div>",568:"<div class=\"NDToolTip TFunction LSystemVerilog\"><div id=\"NDPrototype568\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">virtual function void</span> set_verbosity(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PType first\">xil_verbosity&nbsp;</td><td class=\"PName last\">updated</td></tr></table></td><td class=\"PAfterParameters\">);</td></tr></table></div><div class=\"TTSummary\">Sets the verbosity of debug information which will be printed in &lt;xil_object&gt;.If updated is bigger than 300, it will print out necessary log message. Refer xil_info for verbosity information.</div></div>",414:"<div class=\"NDToolTip TFunction LSystemVerilog\"><div id=\"NDPrototype414\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">virtual function</span> xil_verbosity get_verbosity();</div><div class=\"TTSummary\">Returns the current value of verbosity of xil_object.</div></div>",415:"<div class=\"NDToolTip TFunction LSystemVerilog\"><div id=\"NDPrototype415\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">virtual function void</span> set_tag(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PModifierQualifier first\">input&nbsp;</td><td class=\"PType\"><span class=\"SHKeyword\">string</span>&nbsp;</td><td class=\"PName last\">value</td></tr></table></td><td class=\"PAfterParameters\">);</td></tr></table></div><div class=\"TTSummary\">Sets the name/TAG of the xil_object.</div></div>",416:"<div class=\"NDToolTip TFunction LSystemVerilog\"><div id=\"NDPrototype416\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">virtual function string</span> get_tag();</div><div class=\"TTSummary\">Gets the name/TAG of the xil_object.</div></div>",417:"<div class=\"NDToolTip TFunction LSystemVerilog\"><div id=\"NDPrototype417\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">virtual function void</span> set_is_active();</div><div class=\"TTSummary\">Sets is_active to be 1 and xil_object is in active state.</div></div>",418:"<div class=\"NDToolTip TFunction LSystemVerilog\"><div id=\"NDPrototype418\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">virtual function void</span> clr_is_active();</div><div class=\"TTSummary\">Sets is_active to be 0 and xil_object is in not active state.</div></div>",419:"<div class=\"NDToolTip TFunction LSystemVerilog\"><div id=\"NDPrototype419\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">virtual function</span> bit get_is_active();</div><div class=\"TTSummary\">Returns the is_active value of xil_object. A value of 1 is considered active.</div></div>",420:"<div class=\"NDToolTip TFunction LSystemVerilog\"><div id=\"NDPrototype420\" class=\"NDPrototype NoParameterForm\">task wait_enabled();</div><div class=\"TTSummary\">Wait until is_active is high of xil_object.</div></div>"});